GET /agents/{id}/webhooks
List all webhooks for a specific agent.
Code Examples
curl --request GET \
--url 'https://api.tess.im/agents/{id}/webhooks' \
--header 'Authorization: Bearer YOUR_API_KEY'
| Parameter | Type | Required | Description |
|---|
| x-workspace-id | integer | No | ID of the workspace. If not provided, the user’s selected workspace will be used. |
Note: This field will be required in a future release of the API. It is highly recommended to set it now to ensure compatibility with future updates.
Path Parameters
| Parameter | Type | Required | Description |
|---|
| id | integer | Yes | The agent ID |
Query Parameters
| Parameter | Type | Required | Description |
|---|
| page | integer | No | Current page (default: 1) |
| per_page | integer | No | Number of items per page (default: 15) |
Response
{
"current_page": 1,
"data": [
{
"id": 18,
"template_id": 8794,
"user_id": 0,
"url": "https://webhook.site/3bea4d55-0734-4bbd-aab9-95639585e539",
"method": "POST",
"success_count": 0,
"failure_count": 0,
"status": "active",
"created_at": "2025-01-05T23:35:20.000000Z",
"updated_at": "2025-01-05T23:35:20.000000Z",
"deleted_at": null
}
],
"first_page_url": "https://api.tess.im/agents/8794/webhooks?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://api.tess.im/agents/8794/webhooks?page=1",
"links": [
{
"url": null,
"label": "pagination.previous",
"active": false
},
{
"url": "https://api.tess.im/agents/8794/webhooks?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "pagination.next",
"active": false
}
],
"next_page_url": null,
"path": "https://api.tess.im/agents/8794/webhooks",
"per_page": 15,
"prev_page_url": null,
"to": 1,
"total": 1
}